<?php

// Check if the request comes from localhost (IPv4 or IPv6)
if ($_SERVER['REMOTE_ADDR'] !== '127.0.0.1' && $_SERVER['REMOTE_ADDR'] !== '::1') {
    die('Access denied.');
}

ini_set('display_errors', 1);
ini_set('display_startup_errors', 1);
error_reporting(E_ALL);

// Start session to retrieve DB credentials
session_start();

// Get DB credentials from session or previous page
$id = $_POST['id'];
$ip = $_POST['ip'];
$port = $_POST['port'];
$user = $_POST['user'];
$password = $_POST['password'];
$dbname = $_POST['dbname'];
$id = $_POST['id'];

$mysqli = new mysqli($ip, $user, $password, $dbname, $port);
if ($mysqli->connect_error) {
    die("Connection failed: " . $mysqli->connect_error);
}

// Check if "delete" button was pressed
if (isset($_POST['delete'])) {
    // Collect data needed to delete
    $entry = $_POST['entry'];
    $item = $_POST['item'];

    // Delete from creature_loot_template
    $deleteLootQuery = "DELETE FROM creature_loot_template WHERE entry = '$entry' AND item = '$item'";
    if ($mysqli->query($deleteLootQuery)) {
        echo "creature_loot_template deleted successfully.<br>";
    } else {
        echo "Error deleting creature_loot_template: " . $mysqli->error . "<br>";
    }

    // Delete from conditions (if applicable)
    $deleteConditionQuery = "DELETE FROM conditions WHERE SourceGroup = '$entry' AND SourceEntry = '$item'";
    if ($mysqli->query($deleteConditionQuery)) {
        echo "conditions deleted successfully.<br>";
    } else {
        echo "Error deleting conditions: " . $mysqli->error . "<br>";
    }
} 
// Otherwise, check if "save" button was pressed
else if (isset($_POST['save'])) {
    // Collect data from the POST request for saving
    $entry = $_POST['entry'];
    $item = $_POST['item'];
    $ChanceOrQuestChance = $_POST['ChanceOrQuestChance'];
    $lootmode = $_POST['lootmode'];
    $groupid = $_POST['groupid'];
    $mincountOrRef = $_POST['mincountOrRef'];
    $maxcount = $_POST['maxcount'];

    $SourceTypeOrReferenceId = $_POST['SourceTypeOrReferenceId'];
    $SourceGroup = $_POST['SourceGroup'];
    $SourceEntry = $_POST['SourceEntry'];
    $ElseGroup = $_POST['ElseGroup'];
    $ConditionTypeOrReference = $_POST['ConditionTypeOrReference'];
    $ConditionTarget = $_POST['ConditionTarget'];
    $ConditionValue1 = $_POST['ConditionValue1'];
    $ConditionValue2 = $_POST['ConditionValue2'];
    $ConditionValue3 = $_POST['ConditionValue3'];
    $NegativeCondition = $_POST['NegativeCondition'];
    $ErrorTextId = $_POST['ErrorTextId'];
    $ScriptName = $_POST['ScriptName'];
    $Comment = $_POST['Comment'];

    // Insert or update the creature_loot_template table
    $saveLootQuery = "INSERT INTO creature_loot_template (entry, item, ChanceOrQuestChance, lootmode, groupid, mincountOrRef, maxcount)
        VALUES ('$entry', '$item', '$ChanceOrQuestChance', '$lootmode', '$groupid', '$mincountOrRef', '$maxcount')
        ON DUPLICATE KEY UPDATE 
        ChanceOrQuestChance='$ChanceOrQuestChance', lootmode='$lootmode', groupid='$groupid', mincountOrRef='$mincountOrRef', maxcount='$maxcount'";

    if ($mysqli->query($saveLootQuery)) {
        echo "creature_loot_template saved successfully.<br>";
    } else {
        echo "Error saving creature_loot_template: " . $mysqli->error . "<br>";
    }

    // Insert or update the conditions table
    $saveConditionQuery = "INSERT INTO conditions (SourceTypeOrReferenceId, SourceGroup, SourceEntry, ElseGroup, ConditionTypeOrReference, ConditionTarget, ConditionValue1, ConditionValue2, ConditionValue3, NegativeCondition, ErrorTextId, ScriptName, Comment)
        VALUES ('$SourceTypeOrReferenceId', '$SourceGroup', '$SourceEntry', '$ElseGroup', '$ConditionTypeOrReference', '$ConditionTarget', '$ConditionValue1', '$ConditionValue2', '$ConditionValue3', '$NegativeCondition', '$ErrorTextId', '$ScriptName', '$Comment')
        ON DUPLICATE KEY UPDATE 
        SourceTypeOrReferenceId='$SourceTypeOrReferenceId', SourceGroup='$SourceGroup', SourceEntry='$SourceEntry', ElseGroup='$ElseGroup', ConditionTypeOrReference='$ConditionTypeOrReference', ConditionTarget='$ConditionTarget', ConditionValue1='$ConditionValue1', ConditionValue2='$ConditionValue2', ConditionValue3='$ConditionValue3', NegativeCondition='$NegativeCondition', ErrorTextId='$ErrorTextId', ScriptName='$ScriptName', Comment='$Comment'";

    if ($mysqli->query($saveConditionQuery)) {
        echo "conditions saved successfully.<br>";
    } else {
        echo "Error saving conditions: " . $mysqli->error . "<br>";
    }
}

// Close the database connection
$mysqli->close();
?>

<a href="quest_loot_search.php">Back to Quest Loot Search</a>
